<?php
namespace Api\Model;

use Think\Model;

header("Content-Type:text/html;CharSet=UTF-8");
class GoodsStorageModel extends Model
{
    /**
     * 每种商品在分仓库是否有足够库存
     * @param  array $village_id 村ID
     * @param  array $goods      商品数组 [{...},{...},...]
     * @return [type]        [description]
     */
    public function judgeStorages($village_id, $goods)
    {
        // 立旗, true 为所有商品的分库存充足, false 则订单中存在库存不足的商品
        $flag = true;
        // 循环商品数组
        foreach ($goods as $key => $value) {
            // 获取库存
            $good_id = $value->id;    // 商品ID
            $num = $value->num;    // 商品购买数量
            $storage = $this->where("`village_id`={$village_id} AND `good_id`={$good_id}")->getField("storage");    // 分仓库库存
            if ($storage >= $num) {
                // 有足够库存, 判断下一商品
                continue;
            } else {
                // 库存不足, 循环中止并返回旗帜
                $flag = false;
                break;
            }
        }
        return $flag;
    }
}